
Ryzom - Bug # 589

Status: Rejected Priority: Normal
Author: rti Category:
Created: 05/29/2009 Assignee:
Updated: 10/16/2010 Due date:
Subject: CMake Mac Build and DYLD loading adjustments
Description

This patch includes everything that i had to change to get r1575 to build and run snowballs client on mac os using macports

    -  added /opt/local/ pathes in some cmake find modules (for macports)
    -  removed -lrt flag for mac builds, needed functions are in libSystem.dyld according to this post 

http://lists.apple.com/archives/unix-porting/2008/Oct/msg00001.html
    -  added the png include path variable in lots on cmakelists
    -  added the .dyld library file ending in dynloadlib.cpp for mac systems
    -  adjusted the al include path in stdopenal.h for mac systems
    -  some adjustments for the opengl driver build config
    -  added nelnet to the logic build config
    -  added driver/sound_driver.cpp driver/buffer.cpp to sound source list

History
#1 - 08/11/2009 02:50 pm - sfb
- Category set to Misc
- Target version set to 0.8.0

Assigning this patch to go in with 0.8.0.

#2 - 05/10/2010 09:31 pm - rti

This issue can be deleted.

I recreated new (and smaller) patches for the ryzom repository.

See #871 #872 #873

#3 - 09/29/2010 09:42 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (0.8.0)

#4 - 10/16/2010 12:33 am - rti
- Status changed from New to Rejected

already done.
